proto = Proto("wicap", "Version 2.5.8")
--
function proto.dissector(buf, pinfo, tree)

	local v = buf(0):stringz()
	local n = v:len()+1
	local p = {}

	-- lte-rrc.bcch.bch;1;ARFCN;LTE;DL;RRC;BCCH-BCH;MasterInformationBlock;;;
	v:gsub("([^;]*);", function(s) p[#p+1] = s end)

	-- process message information
	if #p >= 8 then pinfo.cols.info = p[8] end
	if #p >= 1 and p[1]:len() > 0 and buf:len() > n then
		Dissector.get(p[1]):call(buf(n):tvb(), pinfo, tree) end
	if #p >= 4 then pinfo.cols.dst      = p[4] end
	if #p >= 7 then pinfo.cols.protocol = p[5].." "..p[6].." "..p[7] end
	if #p >= 10 and p[10]:len() > 0 then
	     pinfo.cols.src = "SIM "..p[2].." "..p[3]..", "..p[9].."° "..p[10].."°"
	else pinfo.cols.src = "SIM "..p[2].." "..p[3] end
end
--
DissectorTable.get("wtap_encap"):add(wtap.USER15, proto)
